<ion-header no-border no-lines>
  <ion-navbar hideBackButton>

      <!--<ion-buttons  *ngIf="action==3 || action==4">-->
      <ion-buttons >
        <button color="primary" start icon-only ion-button (click)="dismiss()">
          <ion-icon name="close"></ion-icon>
        </button>
      </ion-buttons>

    <ion-title>{{title}}</ion-title>
    <ion-buttons end>
      <button ion-fab mini  (click)="addNew()">
        <ion-icon name="add"></ion-icon>
        <!--{{ 'ADD' | translate}} New Address-->
      </button>
    </ion-buttons>
    <!--<ion-title></ion-title>-->
  </ion-navbar>
</ion-header>

<ion-content>
    <ion-list>
      <!--<h1 margin-left margin-bottom>{{title}}</h1>-->
      <ion-grid class="empty" *ngIf="address.length == 0">
        <ion-row align-items-center>
          <ion-col align-self-center text-center>
            <ion-icon name="list" color="secondary"></ion-icon>
            <h4 margin-bottom>{{ 'NO_ADDRESS' | translate}}</h4>
            <button color="secondary" ion-button outline (click)="addNew()">{{ 'ADD' | translate}} {{ 'NEW_ADDRESS' | translate}}</button>
          </ion-col>
        </ion-row>
      </ion-grid>
      <ion-item-sliding *ngFor="let x of address.all; let i = index" #item>
        <ion-item  (press)="askOption(i, item)" (click)="editAddress(x, i, action)">
          <h3>{{x.first_name}} • {{x.phone}}</h3>
          <p>{{x.city}} </p>
          <p>{{x.postcode}}</p>
          <p>{{x.country}}</p>
          <ion-badge item-end *ngIf="x.primary">{{ 'PRIMARY' | translate}}</ion-badge>
        </ion-item>
        <ion-item-options side="right" *ngIf="!x.primary">
          <button small ion-button color="assertive"  (click)="remove(i, item)">
            <ion-icon name="fa-trash-o"></ion-icon>
            {{ 'REMOVE' | translate}}
          </button>
          <button small ion-button color="secondary" (click)="setPrimary(i, item)">
            <ion-icon name="fa-star"></ion-icon>
            {{ 'SET_PRIMARY' | translate}}
          </button>
        </ion-item-options>
      </ion-item-sliding>
    </ion-list>
</ion-content>
